@ECHO OFF
ECHO.
ECHO MahJongg Solitaire 3D Setup Program
ECHO.
ECHO This .bat file enables you to use... 
ECHO 4 different layouts,
ECHO 7 different tilesets and
ECHO 7 different backgrounds!
:CLAYOUT
ECHO.
ECHO Select a layout...
ECHO.
ECHO 1 = RESET game default Layout
ECHO 2 = CASTLE Layout
ECHO 3 = CHINESE_WALL layout
ECHO 4 = LAB layout
ECHO 5 = TURTLE layout
ECHO.
SET /P layout="Which item Number ?"
IF "%layout%"=="1" GOTO CLAYOUT4
IF "%layout%"=="2" GOTO CLAYOUT1
IF "%layout%"=="3" GOTO CLAYOUT2
IF "%layout%"=="4" GOTO CLAYOUT3
IF "%layout%"=="5" GOTO CLAYOUT4
CHOICE /C:12345/n Which item number ?
IF ERRORLEVEL 5 GOTO CLAYOUT4
IF ERRORLEVEL 4 GOTO CLAYOUT3
IF ERRORLEVEL 3 GOTO CLAYOUT2
IF ERRORLEVEL 2 GOTO CLAYOUT1
IF ERRORLEVEL 1 GOTO CLAYOUT1
GOTO CLAYOUT

:CLAYOUT1
XCOPY layouts\castle.layout turtle.layout /Y /Q
ECHO.
ECHO CASTLE layout is active.
ECHO.
GOTO CTILESET

:CLAYOUT2
;XCOPY layouts\chinese_wall.layout turtle.layout /Y /Q
COPY layouts\chinese_wall.layout turtle.layout

ECHO.
ECHO CHINESE_WALL layout is active.
ECHO.
GOTO CTILESET

:CLAYOUT3
XCOPY layouts\lab.layout turtle.layout /Y /Q
ECHO.
ECHO LAB layout is active.
ECHO.
GOTO CTILESET

:CLAYOUT4
XCOPY layouts\turtle.layout turtle.layout /Y /Q
ECHO.
ECHO TURTLE layout (game default) is active.
ECHO.
GOTO CTILESET


:CTILESET
ECHO.
ECHO Select a tileset...
ECHO.
ECHO 1 = RESET Game default tileset
ECHO 2 = DEFAULT tileset
ECHO 3 = FANCYLETTERS tileset
ECHO 4 = FLOWERS tileset
ECHO 5 = HIERO tileset
ECHO 6 = MANGA tileset
ECHO 7 = RUNES tileset
ECHO 8 = SIMPSONS tileset
ECHO 9 = TRADITIONAL tileset
ECHO.
SET /P TILESET="Which item Number ?"
IF "%tileset%"=="1" GOTO TILESET1
IF "%tileset%"=="2" GOTO TILESET1
IF "%tileset%"=="3" GOTO TILESET2
IF "%tileset%"=="4" GOTO TILESET3
IF "%tileset%"=="5" GOTO TILESET4
IF "%tileset%"=="6" GOTO TILESET5
IF "%tileset%"=="7" GOTO TILESET6
IF "%tileset%"=="8" GOTO TILESET7
IF "%tileset%"=="9" GOTO TILESET8
CHOICE /C:123456789/n Which item number ?
IF ERRORLEVEL 9 GOTO TILESET8
IF ERRORLEVEL 8 GOTO TILESET7
IF ERRORLEVEL 7 GOTO TILESET6
IF ERRORLEVEL 6 GOTO TILESET5
IF ERRORLEVEL 5 GOTO TILESET4
IF ERRORLEVEL 4 GOTO TILESET3
IF ERRORLEVEL 3 GOTO TILESET2
IF ERRORLEVEL 2 GOTO TILESET1
IF ERRORLEVEL 1 GOTO TILESET1

GOTO CTILESET

:TILESET1
XCOPY tilesets\default.tileset default.tileset /Y /Q
ECHO.
ECHO DEFAULT tileset is active.
ECHO.
GOTO CBKGRND

:TILESET2
XCOPY tilesets\fancyletters.tileset default.tileset /Y /Q
ECHO.
ECHO FANCYLETTERS tileset is active.
ECHO.
GOTO CBKGRND

:TILESET3
XCOPY tilesets\flowers.tileset default.tileset /Y /Q
ECHO.
ECHO FLOWERS tileset is active.
ECHO.
GOTO CBKGRND

:TILESET4
XCOPY tilesets\hiero.tileset default.tileset /Y /Q
ECHO.
ECHO HIERO tileset is active.
ECHO.
GOTO CBKGRND

:TILESET5
XCOPY tilesets\manga.tileset default.tileset /Y /Q
ECHO.
ECHO MANGA tileset is active.
ECHO.
GOTO CBKGRND

:TILESET6
XCOPY tilesets\runes.tileset default.tileset /Y /Q
ECHO.
ECHO RUNES tileset is active.
ECHO.
GOTO CBKGRND

:TILESET7
XCOPY tilesets\simpsons.tileset default.tileset /Y /Q
ECHO.
ECHO SIMPSONS tileset is active.
ECHO.
GOTO CBKGRND

:TILESET8
XCOPY tilesets\traditional.tileset default.tileset /Y /Q
ECHO.
ECHO TRADITIONAL tileset is active.
ECHO.
GOTO CBKGRND


:CBKGRND
ECHO.
ECHO Select a background...
ECHO.
ECHO 1 = RESET game default Layout
ECHO 2 = BLACK background
ECHO 3 = BLUE background
ECHO 4 = EGYPT background
ECHO 5 = HOMER background
ECHO 6 = MANGA background
ECHO 7 = PAPYRUS background
ECHO 8 = WARM background
ECHO.
SET /P BACKGROUND="Which item Number ?"
IF "%BACKGROUND%"=="1" GOTO BKGRND1
IF "%BACKGROUND%"=="2" GOTO BKGRND1
IF "%BACKGROUND%"=="3" GOTO BKGRND2
IF "%BACKGROUND%"=="4" GOTO BKGRND3
IF "%BACKGROUND%"=="5" GOTO BKGRND4
IF "%BACKGROUND%"=="6" GOTO BKGRND5
IF "%BACKGROUND%"=="7" GOTO BKGRND6
IF "%BACKGROUND%"=="8" GOTO BKGRND7
CHOICE /C:123456789/n Which item number ?
IF ERRORLEVEL 8 GOTO BKGRND7
IF ERRORLEVEL 7 GOTO BKGRND6
IF ERRORLEVEL 6 GOTO BKGRND5
IF ERRORLEVEL 5 GOTO BKGRND4
IF ERRORLEVEL 4 GOTO BKGRND3
IF ERRORLEVEL 3 GOTO BKGRND2
IF ERRORLEVEL 2 GOTO BKGRND1
IF ERRORLEVEL 1 GOTO BKGRND1

GOTO CBKGRND

:BKGRND1
XCOPY backgrounds\black.background.bmp gra\black.background.bmp /Y /Q
ECHO.
ECHO BLACK background (game default) is active.
ECHO.
GOTO END

:BKGRND2
XCOPY backgrounds\blue.background.bmp gra\black.background.bmp /Y /Q
ECHO.
ECHO BLUE background is active.
ECHO.
GOTO END

:BKGRND3
XCOPY backgrounds\egypt.background.bmp gra\black.background.bmp /Y /Q
ECHO.
ECHO EGYPT background is active.
ECHO.
GOTO END

:BKGRND4
XCOPY backgrounds\homer.background.bmp gra\black.background.bmp /Y /Q
ECHO.
ECHO HOMER background is active.
ECHO.
GOTO END

:BKGRND5
XCOPY backgrounds\manga.background.bmp gra\black.background.bmp /Y /Q
ECHO.
ECHO MANGA background is active.
ECHO.
GOTO END

:BKGRND6
XCOPY backgrounds\papyrus.background.bmp gra\black.background.bmp /Y /Q
ECHO.
ECHO PAPYRUS background is active.
ECHO.
GOTO END

:BKGRND7
XCOPY backgrounds\warm.background.bmp gra\black.background.bmp /Y /Q
ECHO.
ECHO WARM background is active.
ECHO.

:END
MahJongg3D.exe

